Bug 869367 - Missing dependency on php-phpunit-File-Iterator >= 1.3.0 and <= 1.3.2/upgrade to 3.6.12
Missing dependency on php-phpunit-File-Iterator >= 1.3.0 and <= 1.3.2/upgrade...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: php-phpunit-PHPUnit (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-23 13:22 EDT by Tim Landscheidt
Modified: 2012-12-13 02:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-13 02:22:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for spec file. (1.01 KB, patch)
2012-10-23 17:35 EDT, Tim Landscheidt
no flags Details | Diff
Patch to backport autoloader. (2.76 KB, patch)
2012-10-23 17:37 EDT, Tim Landscheidt
no flags Details | Diff

  None (edit)
Description Tim Landscheidt 2012-10-23 13:22:33 EDT
The recent upgrade of php-phpunit-File-Iterator to 1.3.3 causes PHPUnit 3.6.11 to emit warnings:

| PHP Fatal error:  Call to undefined function file_iterator_autoload() in /usr/share/pear/PHPUnit/Util/GlobalState.php on line 379

Apparently, File-Iterator 1.3.3 is meant for use with PHPUnit 3.7 only, and so the recommended "fix" (probably needs more quotation marks) inspired by https://github.com/sebastianbergmann/phpunit/issues/683 would be to change the requirements according to 3.6.12's package.xml.  An upgrade to 3.7 would probably solve this issue as well of course (and I don't know what Fedora's policies propose for such "update to x+1 is available, but x is required by Y" situations).  Another solution might be to revert the change from 1.3.2 to 1.3.3 on Fedora.

Workaround for fellow users is to downgrade to php-phpunit-File-Iterator 1.3.2 of course.


Version-Release number of selected component (if applicable):

php-phpunit-PHPUnit-3.6.11-1.fc16.noarch
php-phpunit-File-Iterator-1.3.3-1.fc16.noarch
Comment 1 Remi Collet 2012-10-23 13:43:34 EDT
Need to find the better solution...

According to File_Iterator changelog:

* No changes.

Funny ?

Analysis of the diff between 1.3.2 and 1.3.3, mostly file_iterator_autoload which is now a anonymous function.

We probably need to revert this change...


I don't plan an upgrade to PHPUnit 3.7.x for now (will require Symfony 2.1 stack)
Comment 2 Remi Collet 2012-10-23 13:49:01 EDT
I will also cancel the update of php-phpunit-Text-Template and php-phpunit-PHP-Invoker (in fedora 18)
Comment 3 Tim Landscheidt 2012-10-23 15:29:44 EDT
Thanks.  This problem also occurs for php_timer_autoload() & Co., so whatever solution is chosen for php-phpunit-File-Iterator needs to be ported to php-phpunit-PHP-Timer & Co. as well.
Comment 4 Tim Landscheidt 2012-10-23 17:35:55 EDT
Created attachment 632403 [details]
Patch for spec file.
Comment 5 Tim Landscheidt 2012-10-23 17:37:11 EDT
Created attachment 632404 [details]
Patch to backport autoloader.
Comment 6 Remi Collet 2012-10-24 01:51:30 EDT
I will fix this issue in PHPUnit (build pending)
Comment 7 Fedora Update System 2012-10-24 02:34:25 EDT
php-phpunit-PHPUnit-3.6.12-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-phpunit-PHPUnit-3.6.12-2.fc18
Comment 8 Fedora Update System 2012-10-24 02:35:14 EDT
php-phpunit-PHPUnit-3.6.12-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/php-phpunit-PHPUnit-3.6.12-2.fc17
Comment 9 Fedora Update System 2012-10-24 02:35:53 EDT
php-phpunit-PHPUnit-3.6.12-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/php-phpunit-PHPUnit-3.6.12-2.fc16
Comment 10 Fedora Update System 2012-10-24 02:39:50 EDT
php-phpunit-PHPUnit-3.6.12-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-phpunit-PHPUnit-3.6.12-2.el6
Comment 11 Tim Landscheidt 2012-10-24 08:15:12 EDT
Merci bien, seems to work for me very well.
Comment 12 Fedora Update System 2012-10-24 10:31:16 EDT
Package php-phpunit-PHPUnit-3.6.12-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing php-phpunit-PHPUnit-3.6.12-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-13277/php-phpunit-PHPUnit-3.6.12-2.el6
then log in and leave karma (feedback).

Note You need to log in before you can comment on or make changes to this bug.